## glassmonitor.spec.in
##
##    Stream Monitoring System
##
##    Copyright (C) 2016  Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: Audio stream monitoring system
Name: glassmonitor
Version: 0.6.1
Release: 1%{?dist}
License: GPLv2
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: %{name}-0.6.1.tar.gz
BuildRequires: qt-devel jack-audio-connection-kit-devel libvmime-devel
BuildRoot: /var/tmp/%{name}-0.6.1
Requires: glassplayer


%description
GlassMonitor is a system for monitoring one or more audio streams and
generating alerts in the event of detected problems.  It uses GlassPlayer as
its stream receiver.


%prep


%setup


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
if test ! -e /etc/glassmonitor.conf ; then
    cp %{_docdir}/glassmonitor-%{version}/glassmonitor-sample.conf /etc/glassmonitor.conf
fi
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/hicolor || :
fi


%postun
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/glassmonitor
%{_datadir}/applications/glassmonitor.desktop
%{_datadir}/icons/hicolor/16x16/apps/glassmonitor.png
%{_datadir}/icons/hicolor/22x22/apps/glassmonitor.png
%{_datadir}/icons/hicolor/32x32/apps/glassmonitor.png
%{_datadir}/icons/hicolor/48x48/apps/glassmonitor.png
%doc conf/glassmonitor-sample.conf
%doc AUTHORS
%doc ChangeLog
%doc COPYING 
%doc NEWS 
%doc README 


%changelog
* Mon May  2 2016 Fred Gleason <fredg@paravelsystems.com>
-- Initial RPM creation.
